GNU bug report logs - #34613
[PATCH] gnu: Add prometheus.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Gábor Boskovits <boskovits@HIDDEN>; Keywords: patch; dated Fri, 22 Feb 2019 11:47:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 34613 <at> debbugs.gnu.org:


Received: (at 34613) by debbugs.gnu.org; 18 Mar 2019 08:31:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 18 04:31:20 2019
Received: from localhost ([127.0.0.1]:48025 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1h5ng0-0003xR-GX
	for submit <at> debbugs.gnu.org; Mon, 18 Mar 2019 04:31:20 -0400
Received: from eggs.gnu.org ([209.51.188.92]:45089)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1h5nfy-0003xC-Qv
 for 34613 <at> debbugs.gnu.org; Mon, 18 Mar 2019 04:31:19 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:32919)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1h5nfs-0008PI-4f; Mon, 18 Mar 2019 04:31:12 -0400
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=53222 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1h5nfr-0006kZ-Fz; Mon, 18 Mar 2019 04:31:11 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: =?utf-8?Q?G=C3=A1bor?= Boskovits <boskovits@HIDDEN>
Subject: Re: [bug#34613] Acknowledgement ([PATCH] gnu: Add prometheus.)
References: <20190222114537.1431-1-boskovits@HIDDEN>
 <handler.34613.B.155083599830524.ack <at> debbugs.gnu.org>
 <CAE4v=phFeyXQOY59QbPkZKCRLsNFc5EhDJ_UCOzjsoSD3yT36A@HIDDEN>
 <87k1h5rr3k.fsf@HIDDEN>
 <CAE4v=phonQqRR+1B+0cDagNYN9owhk1Vw2WhtZebNR0qucgCvA@HIDDEN>
 <87d0mvay1m.fsf@HIDDEN>
 <CAE4v=piqORpLwLiZ_QZHeF+DidnA_-E_C+6CMZU4jZ4L2xt7Ow@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 28 =?utf-8?Q?Vent=C3=B4se?= an 227 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Mon, 18 Mar 2019 09:31:10 +0100
In-Reply-To: <CAE4v=piqORpLwLiZ_QZHeF+DidnA_-E_C+6CMZU4jZ4L2xt7Ow@HIDDEN>
 (=?utf-8?Q?=22G=C3=A1bor?= Boskovits"'s message of "Wed, 13 Mar 2019
 13:33:24 +0100")
Message-ID: <87pnqotwhd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34613
Cc: 34613 <at> debbugs.gnu.org, Pierre Neidhardt <mail@HIDDEN>,
 Leo Famulari <leo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

G=C3=A1bor Boskovits <boskovits@HIDDEN> skribis:

> 2019. m=C3=A1rc. 13., Sze 11:06 d=C3=A1tummal Ludovic Court=C3=A8s <ludo@=
gnu.org> ezt =C3=ADrta:

[...]

>> The thing is, Glyphicons does seem to be non-free, so if it ends up
>> being included one way or another, we have a problem.  I would have
>> expected Debian to provide replacement icons or something like that.
>>
> In the case it is included, as part of bootstrap, it is under the apache
> license, because of a special agreement, that when it is part of bootstrap
> it is dual licensed to this effect. My current evaluation is that it is ok
> to include the package as is.

OK, sounds good.

Thank you for explaining!

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#34613; Package guix-patches. Full text available.

Message received at 34613 <at> debbugs.gnu.org:


Received: (at 34613) by debbugs.gnu.org; 13 Mar 2019 12:33:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 13 08:33:45 2019
Received: from localhost ([127.0.0.1]:41150 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1h434q-00075C-QQ
	for submit <at> debbugs.gnu.org; Wed, 13 Mar 2019 08:33:45 -0400
Received: from mail-ed1-f46.google.com ([209.85.208.46]:37903)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <boskovits@HIDDEN>) id 1h434o-00074u-OR
 for 34613 <at> debbugs.gnu.org; Wed, 13 Mar 2019 08:33:43 -0400
Received: by mail-ed1-f46.google.com with SMTP id h58so1350548edb.5
 for <34613 <at> debbugs.gnu.org>; Wed, 13 Mar 2019 05:33:42 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=ChGNYLqMFd97hfv6lk5lUEcWuSYr0fYdxhi6lBQr0Yg=;
 b=uBUWdXZ5aTELZ0q3tZB+ovww+0iRVVaskXiErm9172gBG7Xzv4kzN4HbKqc+CPFnM3
 ZFuMSyqVTldK/Z7S2bjpo6p0ntGtdTxQ0cQNlCFLGMJuW4R1RYf3dMlhYJcabM6NyQtf
 iR8dndnOS9OEodX/YMC5W10LmmwGwomxWweLrERLeVAgkQ1iDw972FaJjxLPwlesmQjC
 9Z5XVCEppdXe8xinOEREqLiU1zSy3JlP38r5JTZp7alsnVZTEwQFeE8CeTHb1ACv+bTX
 lgj6k5d6JixozqK4ZeDkB70eUPASaHFF0y9lC4/ZVSzcShmTDMjMh70W6D2OoKJa7pW9
 sHNQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=ChGNYLqMFd97hfv6lk5lUEcWuSYr0fYdxhi6lBQr0Yg=;
 b=TlGK0Gig0edgpUPqeTL5i+L+gMA1Ev+ZJCocioHScEsNLATTYbHmNzTcokVm4qd72P
 XWw+vSk4quQObqocs0/pzRJ1vFsDMueZfv/mpUqelwEWPcWyHiv68/u2gc17LPTmw/M9
 4vchOnkNyTBEC/mudNVEFXNQGD6J2gxE95x+JlIUXYqECKmAvGYSevs2yzA8Qijijqeg
 JCHq4gEXpAeXJWfBgmDDrKRFLxfEeW6hVngNQg7llkc+SscjuRSu7waQqHsrIHvpRudZ
 rH9Q/OT3JGz+iK0drx/J6rfRFb51kTRFgPEqLJxJ0PO1B5dHvKes44Nk+B+5Rie/j6Ia
 I/6g==
X-Gm-Message-State: APjAAAX7l30dMJGKMcLCWEGpDOi29JodWra6XtYGKARoHHdx9Mi0e7v6
 A7vCj/Fr9va9GnLD2pqqUVv9t3uMb5hdqO9OAQ==
X-Google-Smtp-Source: APXvYqxkWU76fkk/HkJg+1l/AvaGaJW9eOi6ufoiGPdbJTxoIBlLq/lK7tzgwr/3Mzt8cE+maq/w2ljJJdXjA+41ZBs=
X-Received: by 2002:a17:906:365a:: with SMTP id
 r26mr5374449ejb.10.1552480416881; 
 Wed, 13 Mar 2019 05:33:36 -0700 (PDT)
MIME-Version: 1.0
References: <20190222114537.1431-1-boskovits@HIDDEN>
 <handler.34613.B.155083599830524.ack <at> debbugs.gnu.org>
 <CAE4v=phFeyXQOY59QbPkZKCRLsNFc5EhDJ_UCOzjsoSD3yT36A@HIDDEN>
 <87k1h5rr3k.fsf@HIDDEN>
 <CAE4v=phonQqRR+1B+0cDagNYN9owhk1Vw2WhtZebNR0qucgCvA@HIDDEN>
 <87d0mvay1m.fsf@HIDDEN>
In-Reply-To: <87d0mvay1m.fsf@HIDDEN>
From: =?UTF-8?Q?G=C3=A1bor_Boskovits?= <boskovits@HIDDEN>
Date: Wed, 13 Mar 2019 13:33:24 +0100
Message-ID: <CAE4v=piqORpLwLiZ_QZHeF+DidnA_-E_C+6CMZU4jZ4L2xt7Ow@HIDDEN>
Subject: Re: [bug#34613] Acknowledgement ([PATCH] gnu: Add prometheus.)
To: =?UTF-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000c4e0910583f903fa"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34613
Cc: 34613 <at> debbugs.gnu.org, Pierre Neidhardt <mail@HIDDEN>,
 Leo Famulari <leo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000c4e0910583f903fa
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Hello,

2019. m=C3=A1rc. 13., Sze 11:06 d=C3=A1tummal Ludovic Court=C3=A8s <ludo@gn=
u.org> ezt =C3=ADrta:

> Hi,
>
> G=C3=A1bor Boskovits <boskovits@HIDDEN> skribis:
>
> > Ludovic Court=C3=A8s <ludo@HIDDEN> ezt =C3=ADrta (id=C5=91pont: 2019. =
m=C3=A1rc. 11., H,
> 23:20):
> >>
> >> Hi G=C3=A1bor!
> >>
> >> G=C3=A1bor Boskovits <boskovits@HIDDEN> skribis:
> >
> >>
> >> Glyphicons appears to be non-free, indeed.  Could you check what Debia=
n
> >> does, for instance?  It may be that we can just remove or replace it
> >> with something else.
> >
> > I've checked this, this is not actually included in the prometheus
> > source anywhere,
> > only copied from the influxdb license file. The only other appearance
> > of glyphicons
> > in the code is for the web interface, where it is part of bootstrap,
> > and as such it is under
> > apl2.0 there.
> >
> > I don't know if it is a problem to allow this influxdb module stub to
> > live in the source,
> > but I don't think so... (I would not consider this as a case of
> > promoting use of non-free
> > software.) Wdyt?
>
> What=E2=80=99s influxdb?  I=E2=80=99m afraid I don=E2=80=99t understand t=
his sufficiently well
> to provide useful comments, but I trust you to make the right decision.
> :-)
>
Influxdb is an optional dependency, you can configure prometheus to use it
as storage. It is not included in any ways. What is included is a module
that can connect to it.

>
> The thing is, Glyphicons does seem to be non-free, so if it ends up
> being included one way or another, we have a problem.  I would have
> expected Debian to provide replacement icons or something like that.
>
In the case it is included, as part of bootstrap, it is under the apache
license, because of a special agreement, that when it is part of bootstrap
it is dual licensed to this effect. My current evaluation is that it is ok
to include the package as is.

>
> Thanks,
> Ludo=E2=80=99.
>

--000000000000c4e0910583f903fa
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"auto"><div>Hello,<br><br><div class=3D"gmail_quote"><div dir=3D=
"ltr">2019. m=C3=A1rc. 13., Sze 11:06 d=C3=A1tummal Ludovic Court=C3=A8s &l=
t;<a href=3D"mailto:ludo@HIDDEN">ludo@HIDDEN</a>&gt; ezt =C3=ADrta:<br></=
div><blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-lef=
t:1px #ccc solid;padding-left:1ex">Hi,<br>
<br>
G=C3=A1bor Boskovits &lt;<a href=3D"mailto:boskovits@HIDDEN" target=3D"_=
blank" rel=3D"noreferrer">boskovits@HIDDEN</a>&gt; skribis:<br>
<br>
&gt; Ludovic Court=C3=A8s &lt;<a href=3D"mailto:ludo@HIDDEN" target=3D"_bl=
ank" rel=3D"noreferrer">ludo@HIDDEN</a>&gt; ezt =C3=ADrta (id=C5=91pont: 2=
019. m=C3=A1rc. 11., H, 23:20):<br>
&gt;&gt;<br>
&gt;&gt; Hi G=C3=A1bor!<br>
&gt;&gt;<br>
&gt;&gt; G=C3=A1bor Boskovits &lt;<a href=3D"mailto:boskovits@HIDDEN" ta=
rget=3D"_blank" rel=3D"noreferrer">boskovits@HIDDEN</a>&gt; skribis:<br>
&gt;<br>
&gt;&gt;<br>
&gt;&gt; Glyphicons appears to be non-free, indeed.=C2=A0 Could you check w=
hat Debian<br>
&gt;&gt; does, for instance?=C2=A0 It may be that we can just remove or rep=
lace it<br>
&gt;&gt; with something else.<br>
&gt;<br>
&gt; I&#39;ve checked this, this is not actually included in the prometheus=
<br>
&gt; source anywhere,<br>
&gt; only copied from the influxdb license file. The only other appearance<=
br>
&gt; of glyphicons<br>
&gt; in the code is for the web interface, where it is part of bootstrap,<b=
r>
&gt; and as such it is under<br>
&gt; apl2.0 there.<br>
&gt;<br>
&gt; I don&#39;t know if it is a problem to allow this influxdb module stub=
 to<br>
&gt; live in the source,<br>
&gt; but I don&#39;t think so... (I would not consider this as a case of<br=
>
&gt; promoting use of non-free<br>
&gt; software.) Wdyt?<br>
<br>
What=E2=80=99s influxdb?=C2=A0 I=E2=80=99m afraid I don=E2=80=99t understan=
d this sufficiently well<br>
to provide useful comments, but I trust you to make the right decision.<br>
:-)<br></blockquote></div></div><div dir=3D"auto">Influxdb is an optional d=
ependency, you can configure prometheus to use it as storage. It is not inc=
luded in any ways. What is included is a module that can connect to it.</di=
v><div dir=3D"auto"><div class=3D"gmail_quote"><blockquote class=3D"gmail_q=
uote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1e=
x">
<br>
The thing is, Glyphicons does seem to be non-free, so if it ends up<br>
being included one way or another, we have a problem.=C2=A0 I would have<br=
>
expected Debian to provide replacement icons or something like that.<br></b=
lockquote></div></div><div dir=3D"auto">In the case it is included, as part=
 of bootstrap, it is under the apache license, because of a special agreeme=
nt, that when it is part of bootstrap it is dual licensed to this effect. M=
y current evaluation is that it is ok to include the package as is.</div><d=
iv dir=3D"auto"><div class=3D"gmail_quote"><blockquote class=3D"gmail_quote=
" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">
<br>
Thanks,<br>
Ludo=E2=80=99.<br>
</blockquote></div></div></div>

--000000000000c4e0910583f903fa--




Information forwarded to guix-patches@HIDDEN:
bug#34613; Package guix-patches. Full text available.

Message received at 34613 <at> debbugs.gnu.org:


Received: (at 34613) by debbugs.gnu.org; 13 Mar 2019 10:06:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 13 06:06:42 2019
Received: from localhost ([127.0.0.1]:41049 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1h40mX-0001H4-Qi
	for submit <at> debbugs.gnu.org; Wed, 13 Mar 2019 06:06:42 -0400
Received: from eggs.gnu.org ([209.51.188.92]:46475)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1h40mW-0001Gr-4Q
 for 34613 <at> debbugs.gnu.org; Wed, 13 Mar 2019 06:06:40 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:43479)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1h40mP-0005tj-D3; Wed, 13 Mar 2019 06:06:33 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=56546 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1h40mO-0006AQ-Sm; Wed, 13 Mar 2019 06:06:33 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: =?utf-8?Q?G=C3=A1bor?= Boskovits <boskovits@HIDDEN>
Subject: Re: [bug#34613] Acknowledgement ([PATCH] gnu: Add prometheus.)
References: <20190222114537.1431-1-boskovits@HIDDEN>
 <handler.34613.B.155083599830524.ack <at> debbugs.gnu.org>
 <CAE4v=phFeyXQOY59QbPkZKCRLsNFc5EhDJ_UCOzjsoSD3yT36A@HIDDEN>
 <87k1h5rr3k.fsf@HIDDEN>
 <CAE4v=phonQqRR+1B+0cDagNYN9owhk1Vw2WhtZebNR0qucgCvA@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 23 =?utf-8?Q?Vent=C3=B4se?= an 227 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Wed, 13 Mar 2019 11:06:29 +0100
In-Reply-To: <CAE4v=phonQqRR+1B+0cDagNYN9owhk1Vw2WhtZebNR0qucgCvA@HIDDEN>
 (=?utf-8?Q?=22G=C3=A1bor?= Boskovits"'s message of "Tue, 12 Mar 2019
 22:29:12 +0100")
Message-ID: <87d0mvay1m.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34613
Cc: 34613 <at> debbugs.gnu.org, Pierre Neidhardt <mail@HIDDEN>,
 Leo Famulari <leo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

G=C3=A1bor Boskovits <boskovits@HIDDEN> skribis:

> Ludovic Court=C3=A8s <ludo@HIDDEN> ezt =C3=ADrta (id=C5=91pont: 2019. m=
=C3=A1rc. 11., H, 23:20):
>>
>> Hi G=C3=A1bor!
>>
>> G=C3=A1bor Boskovits <boskovits@HIDDEN> skribis:
>
>>
>> Glyphicons appears to be non-free, indeed.  Could you check what Debian
>> does, for instance?  It may be that we can just remove or replace it
>> with something else.
>
> I've checked this, this is not actually included in the prometheus
> source anywhere,
> only copied from the influxdb license file. The only other appearance
> of glyphicons
> in the code is for the web interface, where it is part of bootstrap,
> and as such it is under
> apl2.0 there.
>
> I don't know if it is a problem to allow this influxdb module stub to
> live in the source,
> but I don't think so... (I would not consider this as a case of
> promoting use of non-free
> software.) Wdyt?

What=E2=80=99s influxdb?  I=E2=80=99m afraid I don=E2=80=99t understand thi=
s sufficiently well
to provide useful comments, but I trust you to make the right decision.
:-)

The thing is, Glyphicons does seem to be non-free, so if it ends up
being included one way or another, we have a problem.  I would have
expected Debian to provide replacement icons or something like that.

Thanks,
Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#34613; Package guix-patches. Full text available.

Message received at 34613 <at> debbugs.gnu.org:


Received: (at 34613) by debbugs.gnu.org; 12 Mar 2019 21:29:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 12 17:29:34 2019
Received: from localhost ([127.0.0.1]:40767 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1h3oxp-0005Ol-Rt
	for submit <at> debbugs.gnu.org; Tue, 12 Mar 2019 17:29:34 -0400
Received: from mail-ed1-f41.google.com ([209.85.208.41]:35755)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <boskovits@HIDDEN>) id 1h3oxl-0005OT-P2
 for 34613 <at> debbugs.gnu.org; Tue, 12 Mar 2019 17:29:32 -0400
Received: by mail-ed1-f41.google.com with SMTP id g19so3623378edp.2
 for <34613 <at> debbugs.gnu.org>; Tue, 12 Mar 2019 14:29:29 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc:content-transfer-encoding;
 bh=QQ1svOGRXDM/ScV4rdy+Sy2DAQOkoYZZtZp0bupF5t0=;
 b=H0PKl9XjIAE/3IMwlM2hQl9TyK+Ld58a1E1bxjry9iyQ3WtHOays09I+pRR1hvnvkt
 InPlEDnZ3oiSZ9u9WTzyWPzeGPb0ZhiO5eV7Pm+ohd7XHNN6nJZmT12PwH1fdMM6fyEl
 v7dDcc4x0WYMYhwWOzFmmA51cYFFqIQkERTxFjeI9auDjQFXMegnPjpsMvqF2jvxotFr
 dXPIXt7KVWLWevJdHfAhsSLX9+fhdYUSq4r241lZqYmQOfWQGT+IhSweJD9yEctSzMyj
 UPmBeCUB63RkPw8vPf6L0LxqfNAGiy+iAc3Twq1K1CVe34mosDkEMQUxaufcY7d6DRit
 u4Yw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=QQ1svOGRXDM/ScV4rdy+Sy2DAQOkoYZZtZp0bupF5t0=;
 b=o96VlkFIvm67AzKTgQ5ov67Jxp2F7jbCa6rPz4eslHjPreqQPeu7Nvooiu9Q/CUNGN
 yP+tj+kWjMDfJN4SfjJr2oiML/YdSL6Il7ZiMNc9YTby7jfq39Ws1M+kGv2TZVAFPIXo
 T5toV2zKv/kNPjkosZJVRl/pyE0JSLWPoguFEN6GDih8c9fipeNBx3TuHJ6ZPn2OfQub
 39NQ9fFyVRW4Yxu+SRccv6uJyGam2lm1ADhTLo9AOiqUyrJIggZznJ8zwydGrzwoMMPG
 y1PU0HpiZ6H9J9oZz0wh0og/u/nHBBdOIjspq8LTQ94vdHqyGK6hUJ/au9z6B66tozNw
 0i9w==
X-Gm-Message-State: APjAAAXPE+4VVVy1ylY2ZUiYRb4kOKcyatYL1Spgu6iNe1QRtMNMygxM
 VrB3ayZuJONocZ3RSOdAw2X4IVv6HJN4x/tMeg==
X-Google-Smtp-Source: APXvYqyebJPu7Z5WQWWbA4/Bkq+9XH/Vh+XMBaiBL3Q+k9Xvoz/vCRKYiAHmmy0fGMVLoHiZ+ezTJ22ssHguoCoLlgE=
X-Received: by 2002:a50:8823:: with SMTP id b32mr5105784edb.169.1552426164050; 
 Tue, 12 Mar 2019 14:29:24 -0700 (PDT)
MIME-Version: 1.0
References: <20190222114537.1431-1-boskovits@HIDDEN>
 <handler.34613.B.155083599830524.ack <at> debbugs.gnu.org>
 <CAE4v=phFeyXQOY59QbPkZKCRLsNFc5EhDJ_UCOzjsoSD3yT36A@HIDDEN>
 <87k1h5rr3k.fsf@HIDDEN>
In-Reply-To: <87k1h5rr3k.fsf@HIDDEN>
From: =?UTF-8?Q?G=C3=A1bor_Boskovits?= <boskovits@HIDDEN>
Date: Tue, 12 Mar 2019 22:29:12 +0100
Message-ID: <CAE4v=phonQqRR+1B+0cDagNYN9owhk1Vw2WhtZebNR0qucgCvA@HIDDEN>
Subject: Re: [bug#34613] Acknowledgement ([PATCH] gnu: Add prometheus.)
To: =?UTF-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34613
Cc: 34613 <at> debbugs.gnu.org, Pierre Neidhardt <mail@HIDDEN>,
 Leo Famulari <leo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello,

Ludovic Court=C3=A8s <ludo@HIDDEN> ezt =C3=ADrta (id=C5=91pont: 2019. m=C3=
=A1rc. 11., H, 23:20):
>
> Hi G=C3=A1bor!
>
> G=C3=A1bor Boskovits <boskovits@HIDDEN> skribis:

>
> Glyphicons appears to be non-free, indeed.  Could you check what Debian
> does, for instance?  It may be that we can just remove or replace it
> with something else.

I've checked this, this is not actually included in the prometheus
source anywhere,
only copied from the influxdb license file. The only other appearance
of glyphicons
in the code is for the web interface, where it is part of bootstrap,
and as such it is under
apl2.0 there.

I don't know if it is a problem to allow this influxdb module stub to
live in the source,
but I don't think so... (I would not consider this as a case of
promoting use of non-free
software.) Wdyt?

> Thank you
> Ludo=E2=80=99.

Best regards,
g_bor




Information forwarded to guix-patches@HIDDEN:
bug#34613; Package guix-patches. Full text available.

Message received at 34613 <at> debbugs.gnu.org:


Received: (at 34613) by debbugs.gnu.org; 12 Mar 2019 21:25:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 12 17:25:03 2019
Received: from localhost ([127.0.0.1]:40763 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1h3otT-0005IY-4p
	for submit <at> debbugs.gnu.org; Tue, 12 Mar 2019 17:25:03 -0400
Received: from mail-ed1-f47.google.com ([209.85.208.47]:47010)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <boskovits@HIDDEN>) id 1h3otR-0005I1-Bn
 for 34613 <at> debbugs.gnu.org; Tue, 12 Mar 2019 17:25:02 -0400
Received: by mail-ed1-f47.google.com with SMTP id n17so3557250edt.13
 for <34613 <at> debbugs.gnu.org>; Tue, 12 Mar 2019 14:25:01 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc:content-transfer-encoding;
 bh=XRQ7teC/9wCQaVFc8unfMdKHH+XFQ6Uv8FFoMT138SM=;
 b=hni7VW288DO0cTQvs0KkQncdPLTekxqHH8GeNTDzbgKL+akECegAwB9ViM8PDBk1mW
 moR6TPi5KUMneB69cIqyHwCeUH7APTfWdmaj1wB4PE3jBHr70f2mbSfonmXoZVwqRTBj
 sBFolGopTJ3K2clIOydS4BCQlDWleRFe0x1fdpOCDh1gapXXO7a0McvmhYqpP5yDAokQ
 MmCRuyDDGZqFoKGjb0mLHN6N7eMFbYfsAuiJZX8YJt1OgWKVEQ6jjxfbqqYgUuhUVWx8
 NFG5eWrnyFA5DXaNQdK4USIJQUEEP4ZUWnneFAXUYlAdRhH1mZel+5hIW2hfaK6e/LcX
 6cNQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=XRQ7teC/9wCQaVFc8unfMdKHH+XFQ6Uv8FFoMT138SM=;
 b=eArmlljiAuP2m23wT8hTaDXCdNaBIIa+Scx/ngBT/iR9uUE0CGFL3JwCc0CJRlHuGh
 1JU8viw8xG6ZO94qiKmGN/TJu/M6TBgNSY/5EEXOkZ4ieVChGW2KuZqJXECU5dJto9A+
 kWRQfSYY7ggnkKfl6Q++KXaaDHfVlNrPx+IP88cNg+FnIqdh0hjobs7jyxm0iV7m7sMG
 IsndDjPO01Hpo+BdKU+akeMbqxcHuF27y2f0GOODPRHp57pd5VLacivMEg615yeimHR1
 TH2nO0Kb6WxWQMaM9Zs6Ie3Fd1p2pZym9zxUQZUM+hK6AvExZnYDJQEMJ24AdsvYE/YK
 3TLQ==
X-Gm-Message-State: APjAAAV4mdL+SR05r86g4UCFrCtZkgiQ/gv9qiMIOpb+XCsrbbjUERvC
 FNf9svQ/XG+ibE2HgCAeCyBk2/5lDqE8nMCNtAqc
X-Google-Smtp-Source: APXvYqxdzrKX3EhW8354bhZ+AhfcQkh4ixo2k6TxjzFHqltiZ9h9WhlZBUi1qX+dEaLCED14weGP/ZHb3qWBy7KtoUo=
X-Received: by 2002:a50:e686:: with SMTP id z6mr5092914edm.42.1552425895521;
 Tue, 12 Mar 2019 14:24:55 -0700 (PDT)
MIME-Version: 1.0
References: <20190222114537.1431-1-boskovits@HIDDEN>
 <handler.34613.B.155083599830524.ack <at> debbugs.gnu.org>
 <CAE4v=phFeyXQOY59QbPkZKCRLsNFc5EhDJ_UCOzjsoSD3yT36A@HIDDEN>
 <87k1h5rr3k.fsf@HIDDEN> <878sxkh8v8.fsf@HIDDEN>
In-Reply-To: <878sxkh8v8.fsf@HIDDEN>
From: =?UTF-8?Q?G=C3=A1bor_Boskovits?= <boskovits@HIDDEN>
Date: Tue, 12 Mar 2019 22:24:43 +0100
Message-ID: <CAE4v=pjGc4RWQb234PoGm5K4vu9LRRS9289Qy_oUK-eVfY5krw@HIDDEN>
Subject: Re: [bug#34613] Acknowledgement ([PATCH] gnu: Add prometheus.)
To: Pierre Neidhardt <mail@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34613
Cc: =?UTF-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>, 34613 <at> debbugs.gnu.org,
 Leo Famulari <leo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello,

Pierre Neidhardt <mail@HIDDEN> ezt =C3=ADrta (id=C5=91pont: 2019. m=
=C3=A1rc.
12., K, 8:04):

>
> - If there are many dependencies (check the vendor/ folder), use it, it w=
ill be
>   easier and produce a package with an ideal closure size.

There are quite a lot.

> The Go build system does most things right.  A few pointers:
>
> - Prometheus might use its own build system, e.g. with a Makefile.  Then =
you'll
>   have to read the makefile to know what it's doing.

Yes, it does, but it turns out it is not actually needed.

>
> - In Go, it's possible to include multiple packages in the same repositor=
y.  Our
>   Go build system does not handle this very well and it's not possible to=
 use
>   multiple such packages as dependencies: you need to create a union.  Se=
e
>   go-golang-org-x-crypto-union.
>
> Let me know if you need more help, I can look into it.
>
> Good luck!

Thanks!

> Pierre Neidhardt
> https://ambrevar.xyz/


Best regards,
g_bor




Information forwarded to guix-patches@HIDDEN:
bug#34613; Package guix-patches. Full text available.

Message received at 34613 <at> debbugs.gnu.org:


Received: (at 34613) by debbugs.gnu.org; 12 Mar 2019 19:32:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 12 15:32:05 2019
Received: from localhost ([127.0.0.1]:40611 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1h3n89-0000Tl-7g
	for submit <at> debbugs.gnu.org; Tue, 12 Mar 2019 15:32:05 -0400
Received: from out2-smtp.messagingengine.com ([66.111.4.26]:34621)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1h3n87-0000TI-Ti
 for 34613 <at> debbugs.gnu.org; Tue, 12 Mar 2019 15:32:04 -0400
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.nyi.internal (Postfix) with ESMTP id A6A10212C8;
 Tue, 12 Mar 2019 15:31:58 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute4.internal (MEProxy); Tue, 12 Mar 2019 15:31:58 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:in-reply-to; s=mesmtp; bh=JBxRc5cqz0a48nJ6YjrRRAjM
 tpMAuiL3eOzyx2837iA=; b=yIPepFQdpYKjLtdGGYBIFwDM/MB2GLXV2H38HAcB
 RYwx3zPdqJDY9YbAXVDYk4FgDdTyLxOKKfiihcIywyAC2ur+nPDyUvDnvgkknrvd
 JYMRLQMrO5Kusdls/NZR7bXzT9gNJ7b79b/hg310O8Gq+ZfKXEpIGqmhSY2eo/OW
 XDI=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=JBxRc5
 cqz0a48nJ6YjrRRAjMtpMAuiL3eOzyx2837iA=; b=4tsP0vIf+VaUyuGVZd7Xhq
 8LlpBRwXV3FZ35sEQbOrqAWfsr2jRelUCIWmLq/zwB+1k+P4VNDyeQxzptDiTMOM
 oqhqBL0CJrktXpFo2Hi0f0Ki/B/F7DNKoM/usUDbm1E3unDznxjpTDwzo89ywDG8
 ejqFPmIvoZquq9hZD74kPQg7TzIOVboH9UE/TnEgAXxbZOxY0bgmAUmkJWHewNfX
 SEkqUBTE5NntImEtYOBsFi8/89kmtpbatqYzjz6l5fvrn9yTVFcu4V1h+JZYYDHm
 aoBOqRrPcIV/f3VIzYYcUmFwCMrg2WXLewabHxyUTSGMv2JzFJkQkdyVeUPA5iyw
 ==
X-ME-Sender: <xms:LgmIXMx-rug-pOh8GwWxgka-f8G80qI_eNSc4mKMLDNosDDg28wOOw>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedutddrgeekgdduvdejucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhepfffhvffukfhfgggtuggjfgesghdtreertdervdenucfhrhhomhepnfgvohcu
 hfgrmhhulhgrrhhiuceolhgvohesfhgrmhhulhgrrhhirdhnrghmvgeqnecukfhppeejie
 druddvgedrvddtvddrudefjeenucfrrghrrghmpehmrghilhhfrhhomheplhgvohesfhgr
 mhhulhgrrhhirdhnrghmvgenucevlhhushhtvghrufhiiigvpedt
X-ME-Proxy: <xmx:LgmIXMsptdZmC9yEOZGIMj9eJ5Wlwb2Wk9SEV7XAiEgA-L0K7I_jmw>
 <xmx:LgmIXNPyM6NRBj7RuVg034a3O_YOqetCuvgJk11_mOl4OUK23RB2cg>
 <xmx:LgmIXAoCFOOkuklp5lGv5VqX7BoOBhlPdoL_U4ODR-8jf5_FIULdUA>
 <xmx:LgmIXJy7p5_Xgsw6ZhQFcHDAmTUt4lXp7c0xAfrqhuIFQpFGFtVYrQ>
Received: from localhost (c-76-124-202-137.hsd1.pa.comcast.net
 [76.124.202.137])
 by mail.messagingengine.com (Postfix) with ESMTPA id E25B3E4580;
 Tue, 12 Mar 2019 15:31:57 -0400 (EDT)
Date: Tue, 12 Mar 2019 15:31:56 -0400
From: Leo Famulari <leo@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>
Subject: Re: [bug#34613] Acknowledgement ([PATCH] gnu: Add prometheus.)
Message-ID: <20190312193156.GA27496@HIDDEN>
References: <20190222114537.1431-1-boskovits@HIDDEN>
 <handler.34613.B.155083599830524.ack <at> debbugs.gnu.org>
 <CAE4v=phFeyXQOY59QbPkZKCRLsNFc5EhDJ_UCOzjsoSD3yT36A@HIDDEN>
 <87k1h5rr3k.fsf@HIDDEN> <878sxkh8v8.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature"; boundary="0OAP2g/MAC+5xKAE"
Content-Disposition: inline
In-Reply-To: <878sxkh8v8.fsf@HIDDEN>
User-Agent: Mutt/1.11.3 (2019-02-01)
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34613
Cc: Ludovic =?iso-8859-1?Q?Court=E8s?= <ludo@HIDDEN>, 34613 <at> debbugs.gnu.org,
 =?iso-8859-1?Q?G=E1bor?= Boskovits <boskovits@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--0OAP2g/MAC+5xKAE
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline

On Tue, Mar 12, 2019 at 08:03:55AM +0100, Pierre Neidhardt wrote:
> We used to, but since Go 1.10 there is a bug in the compiler which keeps tracks
> of _all_ recursive dependencies in the resulting _static_ binary.  This can
> result in a ridiculously large closure size.

I am about to push a fix for this, probably to the staging branch. But I
think you should feel free to use the vendor tree for now and unbundle
things later.

> - In Go, it's possible to include multiple packages in the same repository.  Our
>   Go build system does not handle this very well and it's not possible to use
>   multiple such packages as dependencies: you need to create a union.  See
>   go-golang-org-x-crypto-union.

This becomes uneccesary with the work I am about to push.

--0OAP2g/MAC+5xKAE
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCAAdFiEEsFFZSPHn08G5gDigJkb6MLrKfwgFAlyICSkACgkQJkb6MLrK
fwhZ4g/8D+cw59cWu4bx8oigMQ+6ZrbVUnVWAZCq1FHEFFPtdWZUqGUp5SYRnjFV
QHMuZX57IwE53UxMZqk1pXkfEIEUyn7ShSd7C9mE6KT159i//V7SwxJGeIh5Jkzm
Whswg3HL2anD8KNROC9OvwAYpz+sBRGGazni2jokXUI03wJU+sakeZt4zjt5o/WH
R+Hq+q+TOpvJmjSySd9UBdIX1HsWkXESf8leRGLL3LTXl4XUAlWKheDUor4me15t
p/qu+c91sJWrc99/JTUknF/aaoVf0DkLJSnW+ZgKn4HpXGgd48mpRFfukeCWF4Cv
O9KeFWUdvgy7w7f9XdB1B0iITserrAX1IyxkdHyq10Lfd4tMkyx6d1BegnsLdiDR
9uiYFH+UD5JOMKXD0I5FulI1saLLwz91um1S3Mz7Dh07TjBSp4JNIbhUcpYCpqRp
Fg+tya2JwkVrnoY8lK0WFWIDtJlsN60J5gUjjAJQT8RuEs7N47f3/TqWLuhL3yJF
MGxCskB/KOH0pLAkp2EEcbrzyzrkgSWqPhDeYn+eQK0JHSQRtgFb8HY6Zr8uT3Wd
A0aisgY4EjdK6+O0tAlTjHUiKDqgCY0cK+gqPJXwK422wYHDKVz3fSVMSNy8MSHO
Yt+AHrhZASHn+4PJXOAQJRgwTGS3Y9YBqWaK5F79yW5pMP5RKcM=
=wgHS
-----END PGP SIGNATURE-----

--0OAP2g/MAC+5xKAE--




Information forwarded to guix-patches@HIDDEN:
bug#34613; Package guix-patches. Full text available.

Message received at 34613 <at> debbugs.gnu.org:


Received: (at 34613) by debbugs.gnu.org; 12 Mar 2019 07:04:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 12 03:04:06 2019
Received: from localhost ([127.0.0.1]:39717 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1h3bSH-0002wE-Si
	for submit <at> debbugs.gnu.org; Tue, 12 Mar 2019 03:04:06 -0400
Received: from relay7-d.mail.gandi.net ([217.70.183.200]:54379)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1h3bSF-0002vz-Ji
 for 34613 <at> debbugs.gnu.org; Tue, 12 Mar 2019 03:04:04 -0400
X-Originating-IP: 90.92.41.33
Received: from bababa (lfbn-1-12225-33.w90-92.abo.wanadoo.fr [90.92.41.33])
 (Authenticated sender: mail@HIDDEN)
 by relay7-d.mail.gandi.net (Postfix) with ESMTPSA id D388A20008;
 Tue, 12 Mar 2019 07:03:57 +0000 (UTC)
References: <20190222114537.1431-1-boskovits@HIDDEN>
 <handler.34613.B.155083599830524.ack <at> debbugs.gnu.org>
 <CAE4v=phFeyXQOY59QbPkZKCRLsNFc5EhDJ_UCOzjsoSD3yT36A@HIDDEN>
 <87k1h5rr3k.fsf@HIDDEN>
User-agent: mu4e 1.0; emacs 26.1
From: Pierre Neidhardt <mail@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: [bug#34613] Acknowledgement ([PATCH] gnu: Add prometheus.)
In-reply-to: <87k1h5rr3k.fsf@HIDDEN>
Date: Tue, 12 Mar 2019 08:03:55 +0100
Message-ID: <878sxkh8v8.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34613
Cc: =?utf-8?Q?G=C3=A1bor?= Boskovits <boskovits@HIDDEN>,
 34613 <at> debbugs.gnu.org, Leo Famulari <leo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable


> > (Should we package the stuff there, and link the sources into the tree?)
>
> I think we generally do that yes.  Pierre, Leo?

We used to, but since Go 1.10 there is a bug in the compiler which keeps tr=
acks
of _all_ recursive dependencies in the resulting _static_ binary.  This can
result in a ridiculously large closure size.

As for now, I'd recommend the following:

=2D If there are many dependencies (check the vendor/ folder), use it, it w=
ill be
  easier and produce a package with an ideal closure size.

=2D If it's only a few dependencies, it's probably worth it to package all =
of them
  independently.

> > I am willing to do the work, but I need some pointer, as I am not into =
go.
>
> I=E2=80=99m ignorant about Go, but hopefully Pierre, Leo, or someone else=
 with
> experience with Go packaging can provide some guidance!

For a Go package with unvendored deps, I suggest you look at "demlo", it's
reasonably easy to understand.  For vendored deps, look at go-ipfs.

The Go build system does most things right.  A few pointers:

=2D Prometheus might use its own build system, e.g. with a Makefile.  Then =
you'll
  have to read the makefile to know what it's doing.

=2D In Go, it's possible to include multiple packages in the same repositor=
y.  Our
  Go build system does not handle this very well and it's not possible to u=
se
  multiple such packages as dependencies: you need to create a union.  See
  go-golang-org-x-crypto-union.

Let me know if you need more help, I can look into it.

Good luck!

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAlyHWdsACgkQm9z0l6S7
zH+YlAf/Tv0VqZc1TyvxNMVsm15r8A4PhR7c2wX9p4ZGr5foS9OKozfMwqPO+NDW
u6QhFKLoE2U13ACgMxm0nV1RNgV3+U6kuxBxxZy4UIRS3m9qiPG4Zj3qgMGTnU9T
wujLlkNy4YiYCiGi6kXtgRdm8m50+IX/6qX5KJFWB/hmQkWKv75zzKGjVU5USQo2
r1HAz11twWBDsChgbl7KhEuIa0Lq7jHawOkTbF3bxD/KdDUFPyzd002fjmpQpHZz
RpKmJPVrpiMH6Cpu1GoAbW+0bJCr5jeGLvMMG2HxeA55lCBgOaeJU3zSQqePd2/D
VUk+P0tLiGAzTPKmEmizePrrYfXC5Q==
=i+P+
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#34613; Package guix-patches. Full text available.

Message received at 34613 <at> debbugs.gnu.org:


Received: (at 34613) by debbugs.gnu.org; 11 Mar 2019 22:20:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 11 18:20:14 2019
Received: from localhost ([127.0.0.1]:39584 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1h3THK-0006pR-3Q
	for submit <at> debbugs.gnu.org; Mon, 11 Mar 2019 18:20:14 -0400
Received: from eggs.gnu.org ([209.51.188.92]:52782)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1h3THI-0006p9-4y
 for 34613 <at> debbugs.gnu.org; Mon, 11 Mar 2019 18:20:12 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:44462)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1h3TH8-0001NU-W2; Mon, 11 Mar 2019 18:20:03 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=39486 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1h3TH7-0000f2-Ed; Mon, 11 Mar 2019 18:20:01 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: =?utf-8?Q?G=C3=A1bor?= Boskovits <boskovits@HIDDEN>
Subject: Re: [bug#34613] Acknowledgement ([PATCH] gnu: Add prometheus.)
References: <20190222114537.1431-1-boskovits@HIDDEN>
 <handler.34613.B.155083599830524.ack <at> debbugs.gnu.org>
 <CAE4v=phFeyXQOY59QbPkZKCRLsNFc5EhDJ_UCOzjsoSD3yT36A@HIDDEN>
Date: Mon, 11 Mar 2019 23:19:59 +0100
In-Reply-To: <CAE4v=phFeyXQOY59QbPkZKCRLsNFc5EhDJ_UCOzjsoSD3yT36A@HIDDEN>
 (=?utf-8?Q?=22G=C3=A1bor?= Boskovits"'s message of "Fri, 22 Feb 2019
 13:21:35 +0100")
Message-ID: <87k1h5rr3k.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34613
Cc: 34613 <at> debbugs.gnu.org, Pierre Neidhardt <mail@HIDDEN>,
 Leo Famulari <leo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi G=C3=A1bor!

G=C3=A1bor Boskovits <boskovits@HIDDEN> skribis:

> There are some problems with it however:
>
> The tarball has a vendor directory, containing sources of third party
> go stuff. How do we deal with that?
> (Should we package the stuff there, and link the sources into the tree?)

I think we generally do that yes.  Pierre, Leo?

> I have noticed a few possible problems:
> https://github.com/prometheus/prometheus/blob/master/vendor/github.com/in=
fluxdata/influxdb/LICENSE_OF_DEPENDENCIES.md
> indicates that glyphicons is possibly non-free, needs further
> investigation.

Glyphicons appears to be non-free, indeed.  Could you check what Debian
does, for instance?  It may be that we can just remove or replace it
with something else.

> https://github.com/prometheus/prometheus/tree/master/vendor/github.com/sh=
urcooL/httpfs
> does not copy the original LICENSE file from upstream, it is MIT
> licensed. Should report a bug against prometheus.

OK.

> I would like to know if anyone could help me get this package into
> shape, and point me towards a way to use inputs instead of linking the
> source into the build tree. It would be nice, if we didn't have to
> build these stuffs twice.
> I am willing to do the work, but I need some pointer, as I am not into go.

I=E2=80=99m ignorant about Go, but hopefully Pierre, Leo, or someone else w=
ith
experience with Go packaging can provide some guidance!

It=E2=80=99d be great to have Prometheus!

Thank you
Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#34613; Package guix-patches. Full text available.

Message received at 34613 <at> debbugs.gnu.org:


Received: (at 34613) by debbugs.gnu.org; 22 Feb 2019 12:21:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 22 07:21:56 2019
Received: from localhost ([127.0.0.1]:47628 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gx9pz-0000Ms-Q5
	for submit <at> debbugs.gnu.org; Fri, 22 Feb 2019 07:21:55 -0500
Received: from mail-ed1-f67.google.com ([209.85.208.67]:46067)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <boskovits@HIDDEN>) id 1gx9px-0000Mc-CS
 for 34613 <at> debbugs.gnu.org; Fri, 22 Feb 2019 07:21:53 -0500
Received: by mail-ed1-f67.google.com with SMTP id d9so1564408edh.12
 for <34613 <at> debbugs.gnu.org>; Fri, 22 Feb 2019 04:21:53 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to;
 bh=3PQIwLbAmC1NWMP9Q6FFp4WRQWy90s93U4zYW+8xCWY=;
 b=eFBV3bHHN8CFN+SSIB352angQrFX2qzXKhaeci0dh3+eSMGcPHFemqtCZueIMJtGqP
 P+yV+nUr7CO5Irxj3G3MKOMwWsfDCDlxd6r/vv6Wy6tHk0DhXKaimdnsdL0SBqJk1Jcf
 NN/gEJ54xWCoSUDpAwy3TpPzE3MeN455md6ygel4AoMgQldR/kLsEJOf7348urNGG2FL
 LVGew7qvaDU3mrARDbwEep4JXM8D+EpKTsWStbVSrMXGsN3MNyhhE3XrXdS/w3L1x+B/
 7Wv7/ls/vbI9djf63/FSsgzwAPrlfSZcTHrtwHzWO4S4UM9lST9ERvXRofr4d0+2fIAz
 gwdA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to;
 bh=3PQIwLbAmC1NWMP9Q6FFp4WRQWy90s93U4zYW+8xCWY=;
 b=WYoyly0Ppepl8VFcN8lCWUnymA2Kae28J0E14LmfKUO4adbmb37zxLpQClEJ0ikioK
 kipoaTTleKo78+RRSAVngVIaIomlCxUQaQ+3dcHxvV1YcrLa53BDPX7HL1nMC6O0MfKQ
 w0UCO6NZva+wbJTinzSfr06DyFOWSdEQ1LY8fM6FBRGwrLOWE+hu9ICInsQBjTvgcN6g
 Kz8opb8CkkJEQwXUcrYAnXiO9TXp3OqtpnUekBv6c6gAZgwZM9wQi2krZvGrdStVo1JG
 bBnIDa/1Z2/yovtXciMlczWxkSxQiBr0SbnCSmMnjXN1S+M3IDNLsugfRF+MoHbwTwYR
 2NQQ==
X-Gm-Message-State: AHQUAuY7rvIacEOkj4HySe4xBdPJFhRT+q/zwPzPM9v6yrmnHLQDCavO
 D13Kk2mZcZO8RSf2xPf3KcyHXzTpLbrxEDahl7my3kosyQ==
X-Google-Smtp-Source: AHgI3IbmIXRzIbefiNsBzokn6A+AlRhIVbsl4tq5F94+kRAmL2OatlWYWhQTLOxpkJnY9QdUIn65XtB1DkzW3MoO9qw=
X-Received: by 2002:a17:906:5f91:: with SMTP id
 a17mr1694422eju.48.1550838107119; 
 Fri, 22 Feb 2019 04:21:47 -0800 (PST)
MIME-Version: 1.0
References: <20190222114537.1431-1-boskovits@HIDDEN>
 <handler.34613.B.155083599830524.ack <at> debbugs.gnu.org>
In-Reply-To: <handler.34613.B.155083599830524.ack <at> debbugs.gnu.org>
From: =?UTF-8?Q?G=C3=A1bor_Boskovits?= <boskovits@HIDDEN>
Date: Fri, 22 Feb 2019 13:21:35 +0100
Message-ID: <CAE4v=phFeyXQOY59QbPkZKCRLsNFc5EhDJ_UCOzjsoSD3yT36A@HIDDEN>
Subject: Re: bug#34613: Acknowledgement ([PATCH] gnu: Add prometheus.)
To: 34613 <at> debbugs.gnu.org
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34613
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello,

I have packaged prometheus.

There are some problems with it however:

The tarball has a vendor directory, containing sources of third party
go stuff. How do we deal with that?
(Should we package the stuff there, and link the sources into the tree?)

I have noticed a few possible problems:
https://github.com/prometheus/prometheus/blob/master/vendor/github.com/influxdata/influxdb/LICENSE_OF_DEPENDENCIES.md
indicates that glyphicons is possibly non-free, needs further
investigation.
https://github.com/prometheus/prometheus/tree/master/vendor/github.com/shurcooL/httpfs
does not copy the original LICENSE file from upstream, it is MIT
licensed. Should report a bug against prometheus.

Other preliminary license checks does not show further issues.

I would like to know if anyone could help me get this package into
shape, and point me towards a way to use inputs instead of linking the
source into the build tree. It would be nice, if we didn't have to
build these stuffs twice.
I am willing to do the work, but I need some pointer, as I am not into go.

Unbundling would also help to get a more exact license line.

Any help welcome.

Additionally:
1. this package misses a service,
2. only prometheus is built, the repository contains some other tools,
like promtool, those are not provided.

Best regards,
g_bor




Information forwarded to guix-patches@HIDDEN:
bug#34613; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Feb 2019 11:46:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 22 06:46:38 2019
Received: from localhost ([127.0.0.1]:47610 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gx9Hq-0007wF-IT
	for submit <at> debbugs.gnu.org; Fri, 22 Feb 2019 06:46:38 -0500
Received: from eggs.gnu.org ([209.51.188.92]:59683)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <boskovits@HIDDEN>) id 1gx9Hp-0007w2-1r
 for submit <at> debbugs.gnu.org; Fri, 22 Feb 2019 06:46:37 -0500
Received: from lists.gnu.org ([209.51.188.17]:59937)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <boskovits@HIDDEN>) id 1gx9Hi-0004ye-JH
 for submit <at> debbugs.gnu.org; Fri, 22 Feb 2019 06:46:31 -0500
Received: from eggs.gnu.org ([209.51.188.92]:45821)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <boskovits@HIDDEN>) id 1gx9Hh-0002lh-Lv
 for guix-patches@HIDDEN; Fri, 22 Feb 2019 06:46:30 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <boskovits@HIDDEN>) id 1gx9HU-0004kx-MN
 for guix-patches@HIDDEN; Fri, 22 Feb 2019 06:46:19 -0500
Received: from mail-wr1-x42e.google.com ([2a00:1450:4864:20::42e]:35069)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <boskovits@HIDDEN>) id 1gx9HS-00047w-5Z
 for guix-patches@HIDDEN; Fri, 22 Feb 2019 06:46:14 -0500
Received: by mail-wr1-x42e.google.com with SMTP id t18so2060321wrx.2
 for <guix-patches@HIDDEN>; Fri, 22 Feb 2019 03:45:43 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=muVS96hNXe9EmuXLeXXc6HfAUUnb1CrZRt8e6V+zTpI=;
 b=CTP7S7ZvssUC3kxWGsSJuqBzyGGobiTlUo3BnapvLWSUQ6m++s5XI9Dcn6wnZekUR0
 1WnAHrf0/ktFENl+MoW279/u3n0WjamuR7NQ1UIqTIK6wxR0topF+EHSXOIcCHodtnma
 TxImQRmmumXA7BShzl0Peqw088TF63ejtn5lHmiHL0DNM7rlWh5dLiWrpypy6UHlDOdw
 oi1YyqYPihmJNkzSvU3FoBYIy4d58W1DOiU/S94rQtuE4d2cIa0kxBquftTvbpegwuVX
 mXf05EApEUHJ9Dowi4ajBnFy37RdkZZmqQxe8iZS6jTpMYjBgOtXsGiyk3veaH2kbbft
 Z4Ww==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=muVS96hNXe9EmuXLeXXc6HfAUUnb1CrZRt8e6V+zTpI=;
 b=DhLqfW/iP0zStN6cxECOCpWes5lTOxXI364Uk9qwLb/5PZ3OBZ80jWyY26fmH3h6ZQ
 7qdPBBoO2tc+zP4mAn1ZV1tEAFdm7WigGHGb9OdiNT7Nu3H4VAKgu3RZiFHLYLf0g2N/
 r5ofk+xLn12voBCWTCM2eaglAqry+ngH9ty4lnzQ+VEjIh6rTPq4jiy1mmCJ9n5gvJRH
 v0JtValh9uGCNIZG77nnsTERzX70j12f7rY4m5tntuQ7uhO1/52/KXWwDXiB+jccELWs
 9M2JxbbNVGYN0PD4xqyvN6DjCmtraADq4k9nDmgBJvbcJKJZE1GbR8jDT3ElIgYFJ8wX
 94hQ==
X-Gm-Message-State: AHQUAuY7j2ES4f0KVBL2DXOJyPAJz0F9ERJTTnfzpCLUtRpJkyA079yO
 Wjc5Uf6Iiws3/3BGsjeaKdKbuz4fVw==
X-Google-Smtp-Source: AHgI3IYCGcy6sL46V8l2EVk/xSNPp9L5z7+K7yACxfJ5BOiJm8IgasL13Hy5K2gn+TCiboxDLdjNow==
X-Received: by 2002:adf:e3d1:: with SMTP id k17mr2608547wrm.143.1550835941872; 
 Fri, 22 Feb 2019 03:45:41 -0800 (PST)
Received: from localhost.localdomain (dsl54011DE2.fixip.t-online.hu.
 [84.1.29.226])
 by smtp.gmail.com with ESMTPSA id p5sm580834wmh.16.2019.02.22.03.45.40
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Fri, 22 Feb 2019 03:45:41 -0800 (PST)
From: =?UTF-8?q?G=C3=A1bor=20Boskovits?= <boskovits@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: Add prometheus.
Date: Fri, 22 Feb 2019 12:45:37 +0100
Message-Id: <20190222114537.1431-1-boskovits@HIDDEN>
X-Mailer: git-send-email 2.20.1
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::42e
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: submit
Cc: =?UTF-8?q?G=C3=A1bor=20Boskovits?= <boskovits@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

* gnu/packages/monitoring.scm
(go-github-com-prometheus-prometheus-cmd-prometheus): New variable.
---
 gnu/packages/monitoring.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/monitoring.scm b/gnu/packages/monitoring.scm
index 4384406227..0fd6b9e49b 100644
--- a/gnu/packages/monitoring.scm
+++ b/gnu/packages/monitoring.scm
@@ -447,3 +447,27 @@ written in Go with pluggable metric collectors.")
     (description "This package provides a file system monitor.")
     (home-page "https://github.com/emcrisostomo/fswatch")
     (license license:gpl3+)))
+
+(define-public go-github-com-prometheus-prometheud-cmd-prometheus
+  (package
+    (name "go-github-com-prometheus-prometheus-cmd-prometheus")
+    (version "2.7.1")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/prometheus/prometheus.git")
+                    (commit (string-append "v" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "08nd88m162bw5612cvw5fl028l2n9jy1v4w2a8cyd0dj4lxs5d98"))))
+    (build-system go-build-system)
+    (arguments
+     '(#:import-path "github.com/prometheus/prometheus/cmd/prometheus"
+       #:unpack-path "github.com/prometheus/prometheus"))
+    (synopsis "Monitoring system & time series database")
+    (description "Prometheus is an open-source monitoring system with a
+dimensional data model, flexible query language, efficient time series database
+and modern alerting approach.")
+    (home-page "https://github.com/prometheus/node_exporter")
+    (license license:asl2.0)))
-- 
2.20.1





Acknowledgement sent to Gábor Boskovits <boskovits@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#34613; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.